aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonathan-Christofer Demay <jcdemay@gmail.com>2009-09-08 19:32:25 +0000
committerJonathan-Christofer Demay <jcdemay@gmail.com>2009-09-08 19:32:25 +0000
commit564a239e2c21fe3bc1908cbd1e8f8a23ecbde1d1 (patch)
tree3966c57ba2cd91eb6c84c472d1ee05efb4cd6b7a /dev-ml/ocamlgraph/ocamlgraph-1.1.ebuild
parentNew package, ebuild written by me (diff)
downloadsci-564a239e2c21fe3bc1908cbd1e8f8a23ecbde1d1.tar.gz
sci-564a239e2c21fe3bc1908cbd1e8f8a23ecbde1d1.tar.bz2
sci-564a239e2c21fe3bc1908cbd1e8f8a23ecbde1d1.zip
Various updates related to sci-mathematics/frama-c
Diffstat (limited to 'dev-ml/ocamlgraph/ocamlgraph-1.1.ebuild')
-rw-r--r--dev-ml/ocamlgraph/ocamlgraph-1.1.ebuild52
1 files changed, 52 insertions, 0 deletions
diff --git a/dev-ml/ocamlgraph/ocamlgraph-1.1.ebuild b/dev-ml/ocamlgraph/ocamlgraph-1.1.ebuild
new file mode 100644
index 000000000..c1efe4a48
--- /dev/null
+++ b/dev-ml/ocamlgraph/ocamlgraph-1.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: Exp $
+
+inherit eutils
+
+DESCRIPTION="A graph library for Objective Caml"
+HOMEPAGE="http://ocamlgraph.lri.fr/"
+SRC_URI="http://ocamlgraph.lri.fr/download/${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+
+RDEPEND=">=dev-lang/ocaml-3.10.2"
+
+DEPEND="${RDEPEND}
+ gtk? ( >=dev-ml/lablgtk-2.6 )
+ ocamlopt? ( dev-lang/ocaml[ocamlopt] )"
+
+IUSE="doc examples gtk +ocamlopt"
+
+src_unpack() {
+ unpack ${A}
+ cd ${S}
+
+ epatch "${FILESDIR}/${P}-makefile.patch"
+}
+
+src_compile() {
+ econf || die "econf failed"
+ emake DESTDIR="/" || die "emake failed"
+
+ if use doc; then
+ emake doc || die "emake doc failed"
+ fi
+}
+
+src_install() {
+ emake install-bin install-findlib DESTDIR="${D}" || die "emake install failed"
+ dodoc CHANGES COPYING CREDITS FAQ README
+
+ if use doc; then
+ dohtml doc/*
+ fi
+
+ if use examples; then
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+}
+